
From: Mikael Pettersson <mikpe@csd.uu.se>

Perfctr sysfs update part 3/4:
- Remove sys_perfctr_info() from x86-64.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/ia32/ia32entry.S     |    1 -
 25-akpm/include/asm-x86_64/ia32_unistd.h |   13 ++++++-------
 25-akpm/include/asm-x86_64/unistd.h      |   12 +++++-------
 3 files changed, 11 insertions(+), 15 deletions(-)

diff -puN arch/x86_64/ia32/ia32entry.S~perfctr-sysfs-update-3-4-x86-64 arch/x86_64/ia32/ia32entry.S
--- 25/arch/x86_64/ia32/ia32entry.S~perfctr-sysfs-update-3-4-x86-64	2005-01-09 23:24:38.464743688 -0800
+++ 25-akpm/arch/x86_64/ia32/ia32entry.S	2005-01-09 23:25:36.564911120 -0800
@@ -591,7 +591,6 @@ ia32_sys_call_table:
 	.quad sys_add_key
 	.quad sys_request_key
 	.quad sys_keyctl
-	.quad sys_perfctr_info
 	.quad sys_vperfctr_open
 	.quad sys_vperfctr_control	/* 290 */
 	.quad sys_vperfctr_unlink
diff -puN include/asm-x86_64/ia32_unistd.h~perfctr-sysfs-update-3-4-x86-64 include/asm-x86_64/ia32_unistd.h
--- 25/include/asm-x86_64/ia32_unistd.h~perfctr-sysfs-update-3-4-x86-64	2005-01-09 23:24:38.466743384 -0800
+++ 25-akpm/include/asm-x86_64/ia32_unistd.h	2005-01-09 23:26:26.995244544 -0800
@@ -294,13 +294,12 @@
 #define __NR_ia32_add_key		286
 #define __NR_ia32_request_key	287
 #define __NR_ia32_keyctl		288
-#define __NR_ia32_perfctr_info		289
-#define __NR_ia32_vperfctr_open		(__NR_ia32_perfctr_info+1)
-#define __NR_ia32_vperfctr_control	(__NR_ia32_perfctr_info+2)
-#define __NR_ia32_vperfctr_unlink	(__NR_ia32_perfctr_info+3)
-#define __NR_ia32_vperfctr_iresume	(__NR_ia32_perfctr_info+4)
-#define __NR_ia32_vperfctr_read		(__NR_ia32_perfctr_info+5)
+#define __NR_ia32_vperfctr_open		289
+#define __NR_ia32_vperfctr_control	(__NR_ia32_perfctr_info+1)
+#define __NR_ia32_vperfctr_unlink	(__NR_ia32_perfctr_info+2)
+#define __NR_ia32_vperfctr_iresume	(__NR_ia32_perfctr_info+3)
+#define __NR_ia32_vperfctr_read		(__NR_ia32_perfctr_info+4)
 
-#define IA32_NR_syscalls 295	/* must be > than biggest syscall! */
+#define IA32_NR_syscalls 294	/* must be > than biggest syscall! */
 
 #endif /* _ASM_X86_64_IA32_UNISTD_H_ */
diff -puN include/asm-x86_64/unistd.h~perfctr-sysfs-update-3-4-x86-64 include/asm-x86_64/unistd.h
--- 25/include/asm-x86_64/unistd.h~perfctr-sysfs-update-3-4-x86-64	2005-01-09 23:24:38.467743232 -0800
+++ 25-akpm/include/asm-x86_64/unistd.h	2005-01-09 23:27:16.510717048 -0800
@@ -562,17 +562,15 @@ __SYSCALL(__NR_add_key, sys_add_key)
 __SYSCALL(__NR_request_key, sys_request_key)
 #define __NR_keyctl		250
 __SYSCALL(__NR_keyctl, sys_keyctl)
-#define __NR_perfctr_info	251
-__SYSCALL(__NR_perfctr_info, sys_perfctr_info)
-#define __NR_vperfctr_open	(__NR_perfctr_info+1)
+#define __NR_vperfctr_open	248
 __SYSCALL(__NR_vperfctr_open, sys_vperfctr_open)
-#define __NR_vperfctr_control	(__NR_perfctr_info+2)
+#define __NR_vperfctr_control	(__NR_vperfctr_open+1)
 __SYSCALL(__NR_vperfctr_control, sys_vperfctr_control)
-#define __NR_vperfctr_unlink	(__NR_perfctr_info+3)
+#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
 __SYSCALL(__NR_vperfctr_unlink, sys_vperfctr_unlink)
-#define __NR_vperfctr_iresume	(__NR_perfctr_info+4)
+#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
 __SYSCALL(__NR_vperfctr_iresume, sys_vperfctr_iresume)
-#define __NR_vperfctr_read	(__NR_perfctr_info+5)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
 __SYSCALL(__NR_vperfctr_read, sys_vperfctr_read)
 
 #define __NR_syscall_max __NR_vperfctr_read
_
